Skip to content

List individual item subscriptions for user

GET
/v1/notifications/subscriptions

Returns subscriptions to specific items (risks, incidents, etc.) that the user is explicitly following. This does NOT include general notification subscriptions which are managed through the preferences endpoints.

Successfully retrieved list of subscriptions

Array<object>

Payload for subscribing to individual items This is separate from SubscriptionPayload to enforce that item_identifier is required

object
item_identifier
required

The identifier of the specific item (e.g., “RSK-123”, “INC-456”)

string
notification_type
required
string
Allowed values: AssignedRisk RiskChanged NewRiskComment NewLowRisk NewMediumRisk NewHighRisk NewCriticalRisk IncChanged NewSev1Inc NewSev2Inc NewSev3Inc NewFraudInc NewExtortionInc NewSabotageInc NewDataDisclosureInc NewCustomerTargetingInc NewResourceHijackingInc NewIncComment AssignedInc DowngradedInc InvitedToOrg RisksCreated IncidentsCreated

Could not retrieve subscriptions